﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Sample.aspx.cs" Inherits="Sample" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<%@ Register Src="Footer.ascx" TagName="Footer" TagPrefix="uc1" %>
<%@ Register Src="Banner.ascx" TagName="Banner" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="Resources/css.css" rel="stylesheet" type="text/css" />
    <title>How to be interactive with map - Map Suite Web Sample application</title>
    <script type="text/javascript">
        function callServer(param){
            <%= ClientScript.GetCallbackEventReference(this, "param", "receiveServerData", null)%>;
        }
        
        function mapClientClick(e){
            var map = Map1.GetOpenLayersMap();
            var screenPoint = new OpenLayers.Pixel(e.xy.x, e.xy.y);
            var mapPoint = map.getLonLatFromViewPortPx(screenPoint);
            callServer('^'+mapPoint.lon + ','+mapPoint.lat);
        }

        function receiveServerData(columnValue){
            var map = Map1.GetOpenLayersMap();
            var layers = map.getLayersByName('DynamicOverlay');
            if (layers.length > 0){
                layers[0].mergeNewParams({extra:parseInt(Math.random() * 10)});
                layers[0].redraw(true);
            }
            
            var table = document.getElementById('<%=GridView1.ClientID %>');
            for (var i = 0; i < table.rows.length; i++) {
                if (table.rows[i].cells[0].innerText == columnValue)
                {
                    table.rows[i].style.backgroundColor = "#2E9AFE";
                }
                else
                {
                    table.rows[i].style.backgroundColor = "white";
                }
            }
        }
    </script>
</head>
<body onresize="resizeElementHeight()">
    <form id="form1" runat="server">
    <table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 90%;">
        <tr>
            <td>
                <uc2:Banner ID="Header1" runat="server" />
            </td>
        </tr>
        <tr>
            <td align="left">
                <div id="TabContainer">
                    <a id="A1" runat="server" class="tab selected" href="#" onclick="this.className='tab selected';document.getElementById('A2').className='tab';document.getElementById('maptoggle').style.display='block';document.getElementById('sourcecode').style.display='none';">
                        Map View</a> <a id="A2" runat="server" class="tab" href="#" onclick="this.className='tab selected';document.getElementById('A1').className='tab';document.getElementById('sourcecode').style.display='block';document.getElementById('maptoggle').style.display='none';">
                            Source Code</a>
                </div>
            </td>
        </tr>
        <tr>
            <td align="center" style="height: 100%; width: 100%;">
                <div id="MapContainer">
                    <div id="maptoggle">
                        <asp:ScriptManager ID="ScriptManager1" runat="server">
                        </asp:ScriptManager>
                        <cc1:Map ID="Map1" runat="server" Height="100%" Width="100%">
                        </cc1:Map>
                        <Instruction:InstructionPanel ID="FunctionPanel" runat="server" Width="292px">
                            <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="True" EnableModelValidation="True"
                                Style="margin-top: 0px" Height="51px" Width="95%" OnRowDataBound="GridView1_RowDataBound">
                                <%--<Columns>
                                    <asp:BoundField HeaderText="Name" DataField="Name">
                                        <ItemStyle HorizontalAlign="Center" />
                                    </asp:BoundField>
                                </Columns>--%>
                            </asp:GridView>
                        </Instruction:InstructionPanel>
                    </div>
                    <div id="sourcecode" style="display: none;">
                        <iframe height="100%" width="100%" id="sourcepage" runat="server" src="Sample.aspx.htm">
                        </iframe>
                    </div>
                </div>
            </td>
        </tr>
        <tr>
            <td>
                <uc1:Footer ID="Footer1" runat="server" />
            </td>
        </tr>
    </table>
    </form>
</body>
<script type="text/javascript">
    function resizeElementHeight() {
        var height = 0;
        var body = window.document.body;
        if (window.innerHeight) {
            height = window.innerHeight;
        } else if (body.parentElement.clientHeight) {
            height = body.parentElement.clientHeight;
        } else if (body && body.clientHeight) {
            height = body.clientHeight;
        }
        document.getElementById('MapContainer').style.height = ((height - 170) + "px");
    }
    var alreadyrun = 0
    if (document.addEventListener)
        document.addEventListener("DOMContentLoaded", function () { alreadyrun = 1; resizeElementHeight() }, false)
    else if (document.all && !window.opera) {
        document.write('<script type="text/javascript" id="contentloadtag" defer="defer" src="javascript:void(0)"><\/script>')
        var contentloadtag = document.getElementById("contentloadtag")
        contentloadtag.onreadystatechange = function () {
            if (this.readyState == "complete") {
                alreadyrun = 1
                resizeElementHeight()
            }
        }
    }
    window.onload = function () {
        setTimeout("if (!alreadyrun) resizeElementHeight()", 0)
    }
</script>
</html>
